libsigc++: sigc::bound_argument< std::reference_wrapper< const T_wrapped > > Class Template Reference

libsigc++ 3.0.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sigc::bound_argument< std::reference_wrapper< const T_wrapped > > Class Template Reference

bound_argument object for a bound argument that is passed by bind() or returned by bind_return() by const reference, specialized for const reference_wrapper<> types. More...

`#include <sigc++/adaptors/bound_argument.h>`

## Public Member Functions
| bound_argument (const std::reference_wrapper< const T_wrapped >&arg)
| Constructor. More...
const T_wrapped& | invoke ()
| Retrieve the entity to pass to the bound functor or return. More...
const limit_reference< const T_wrapped >& | visit () const
| Retrieve the entity to visit in visit_each(). More...

## Detailed Description

### template<typename T_wrapped>
class sigc::bound_argument< std::reference_wrapper< const T_wrapped > >

bound_argument object for a bound argument that is passed by bind() or returned by bind_return() by const reference, specialized for const reference_wrapper<> types.

- T_wrapped The type of the bound argument.

## Constructor & Destructor Documentation

template <typename T_wrapped >

sigc::bound_argument< std::reference_wrapper< const T_wrapped > >::bound_argument | ( | const std::reference_wrapper< const T_wrapped > & | arg | ) |
| inline

Constructor.

Parameters

  arg | The argument to bind.

## Member Function Documentation

template <typename T_wrapped >

const T_wrapped& sigc::bound_argument< std::reference_wrapper< const T_wrapped > >::invoke | ( |  | ) |
| inline

Retrieve the entity to pass to the bound functor or return.

Returns
  The bound argument.

template <typename T_wrapped >

const limit_reference<const T_wrapped>& sigc::bound_argument< std::reference_wrapper< const T_wrapped > >::visit | ( |  | ) | const
| inline

Retrieve the entity to visit in visit_each().

Returns
  The const_limited_reference to the bound argument.